
set myfilter *.hv

proc sesame {} {
  puts [.lst_files get [.lst_files curselection]]
}
#    set files [split [exec ls {expand}[glob *.hv]]]
proc dols {} {
    global myfilter
    set err [catch {set files [split [glob $myfilter]]}]
    puts $err
    .lst_files delete 0 end
    if { $err == 1 } {
       puts "No files match this filter"
     } else {
      foreach file $files {
        .lst_files insert end $file
      }
    }
}
proc doa3d {} { puts [catch {exec a3d}] }
#
frame .frm -relief groove
label .lab_filter -text "File Filter:"
entry .ent_filter  -textvariable myfilter
button .but_ls  -text "ls" -command "dols"
button .but_a3d -text "a3d" -command "doa3d"
scrollbar .myscroll -command ".lst_files yview"
listbox .lst_files -selectmode single -height 10 -yscrollcommand ".myscroll set"
bind .lst_files <Double-ButtonPress-1> { sesame }
#

grid .lab_filter -in .frm  -row 1 -column 1
grid .ent_filter -in .frm  -row 2 -column 1
grid .frm        -in . -row 1 -column 1
grid .but_ls     -in . -row 2 -column 1
grid .but_a3d    -in . -row 3 -column 1
grid .lst_files  -in . -row 4 -column 1
grid .myscroll   -in . -row 4 -column 2 -sticky ns
